Errors After Upgrading From MQ6 To MQ7: java.lang.ClassCastException: com.ibm.mq.jmqi.JmqiXAResource cannot be cast to com.ibm.mq.MQXAResource (Doc ID 1452864.1)

Last updated on NOVEMBER 05, 2016

Applies to:

Oracle Weblogic Server - Version 8.1 to 12.1.1.0
Information in this document applies to any platform.

Symptoms

After upgrading from MQ6 to MQ7, the application has an error to open a XA session with a remote queue MQ7

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms